Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedings.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedings.designer.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedings.designer.cs	(revision 477)
@@ -28,11 +28,11 @@
         /// </summary>
         private void InitializeComponent()
         {
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
-            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle1 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle2 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.btnDataDelete = new System.Windows.Forms.Button();
             this.btnDataEntry = new System.Windows.Forms.Button();
@@ -670,7 +670,7 @@
             this.numUD1.Size = new System.Drawing.Size(50, 26);
             this.numUD1.TabIndex = 2;
             this.numUD1.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
-            this.numUD1.ValueChanged += new System.EventHandler(this.Control_ValueChanged);
+            this.numUD1.ValueChanged += new System.EventHandler(this.numUD_ValueChanged);
             this.numUD1.Enter += new System.EventHandler(this.Control_Enter);
             // 
             // dgvPerson
@@ -682,25 +682,25 @@
             this.dgvPerson.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
             this.dgvPerson.BackgroundColor = System.Drawing.Color.White;
             this.dgvPerson.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle6.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle6.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle6.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle6.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvPerson.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle6;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvPerson.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
             this.dgvPerson.ColumnHeadersHeight = 25;
             this.dgvPerson.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvPerson.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
             this.dataGridViewTextBoxColumn2,
             this.dataGridViewTextBoxColumn8});
-            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle7.BackColor = System.Drawing.SystemColors.Window;
-            dataGridViewCellStyle7.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle7.ForeColor = System.Drawing.SystemColors.ControlText;
-            dataGridViewCellStyle7.SelectionBackColor = System.Drawing.Color.Azure;
-            dataGridViewCellStyle7.SelectionForeColor = System.Drawing.Color.Black;
-            dataGridViewCellStyle7.WrapMode = System.Windows.Forms.DataGridViewTriState.False;
-            this.dgvPerson.DefaultCellStyle = dataGridViewCellStyle7;
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle2.BackColor = System.Drawing.SystemColors.Window;
+            dataGridViewCellStyle2.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle2.ForeColor = System.Drawing.SystemColors.ControlText;
+            dataGridViewCellStyle2.SelectionBackColor = System.Drawing.Color.Azure;
+            dataGridViewCellStyle2.SelectionForeColor = System.Drawing.Color.Black;
+            dataGridViewCellStyle2.WrapMode = System.Windows.Forms.DataGridViewTriState.False;
+            this.dgvPerson.DefaultCellStyle = dataGridViewCellStyle2;
             this.dgvPerson.ImeMode = System.Windows.Forms.ImeMode.On;
             this.dgvPerson.Location = new System.Drawing.Point(839, 42);
             this.dgvPerson.Name = "dgvPerson";
@@ -828,12 +828,12 @@
             | System.Windows.Forms.AnchorStyles.Right)));
             this.dgvAllDisplay.BackgroundColor = System.Drawing.Color.White;
             this.dgvAllDisplay.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle8.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle8.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle8.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle8.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvAllDisplay.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle8;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle3.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle3.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle3.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvAllDisplay.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle3;
             this.dgvAllDisplay.ColumnHeadersHeight = 30;
             this.dgvAllDisplay.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
             this.dgvAllDisplay.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
@@ -840,14 +840,14 @@
             this.Column1,
             this.Column2,
             this.Column3});
-            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
-            dataGridViewCellStyle10.BackColor = System.Drawing.SystemColors.Window;
-            dataGridViewCellStyle10.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle10.ForeColor = System.Drawing.SystemColors.ControlText;
-            dataGridViewCellStyle10.SelectionBackColor = System.Drawing.Color.Azure;
-            dataGridViewCellStyle10.SelectionForeColor = System.Drawing.Color.Black;
-            dataGridViewCellStyle10.WrapMode = System.Windows.Forms.DataGridViewTriState.False;
-            this.dgvAllDisplay.DefaultCellStyle = dataGridViewCellStyle10;
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle5.BackColor = System.Drawing.SystemColors.Window;
+            dataGridViewCellStyle5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle5.ForeColor = System.Drawing.SystemColors.ControlText;
+            dataGridViewCellStyle5.SelectionBackColor = System.Drawing.Color.Azure;
+            dataGridViewCellStyle5.SelectionForeColor = System.Drawing.Color.Black;
+            dataGridViewCellStyle5.WrapMode = System.Windows.Forms.DataGridViewTriState.False;
+            this.dgvAllDisplay.DefaultCellStyle = dataGridViewCellStyle5;
             this.dgvAllDisplay.ImeMode = System.Windows.Forms.ImeMode.On;
             this.dgvAllDisplay.Location = new System.Drawing.Point(5, 158);
             this.dgvAllDisplay.Name = "dgvAllDisplay";
@@ -866,8 +866,8 @@
             // 
             // Column1
             // 
-            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle9;
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle4;
             this.Column1.HeaderText = "№";
             this.Column1.Name = "Column1";
             this.Column1.Resizable = System.Windows.Forms.DataGridViewTriState.False;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Proceedings/FrmProceedingsAuxiliary.cs	(revision 477)
@@ -37,6 +37,11 @@
                 {
                     m_GridCellWidth[i] = dgvAllDisplay.Columns[i].Width;
                 }
+
+                numUD1.Value = 0;
+                numUD2.Value = 0;
+                numUD3.Value = 0;
+                numUD4.Value = 0;
             }
             catch (Exception ex)
             {
@@ -222,10 +227,6 @@
                 dgvAllDisplay.Rows.Clear();
                 dgvPerson.Rows.Clear();
                 textBox1.Text = string.Empty;
-                numUD1.Value = 0;
-                numUD2.Value = 0;
-                numUD3.Value = 0;
-                numUD4.Value = 0;
 
                 ArrayList MainRec = new ArrayList();
                 
@@ -266,20 +267,25 @@
             try
             {
                 DateTime dtSelect = dtMeetingDate.Value;
-                string strSQL = "SELECT";
-                strSQL += " DATE_FORMAT(A.PROCEEDINGSDATADATE,'%Y/%m/%d'),";
-                strSQL += " A.STARTMEETINGTIME,";
-                strSQL += " A.ENDMEETINGTIME,";
-                strSQL += " B.DEPARTMENTCODE,";
-                strSQL += " A.CREATORCODE,";
-                strSQL += " A.PALCEFLAG,";
-                strSQL += " A.MEETINGPALCE";
-                strSQL += " FROM PROCEEDINGSDATA A";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.CREATORCODE";
-                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                strSQL += string.Format(" AND DATE(A.PROCEEDINGSDATADATE) = STR_TO_DATE('{0}','%Y/%m/%d')", dtSelect.ToShortDateString());
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
 
-                if (!ProDB.ExecuteReader(strSQL, ref MainRec)) return false;
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("SELECT");
+                strSQL.Append(" DATE_FORMAT(A.PROCEEDINGSDATADATE,'%Y/%m/%d'),");
+                strSQL.Append(" A.STARTMEETINGTIME,");
+                strSQL.Append(" A.ENDMEETINGTIME,");
+                strSQL.Append(" B.DEPARTMENTCODE,");
+                strSQL.Append(" A.CREATORCODE,");
+                strSQL.Append(" A.PALCEFLAG,");
+                strSQL.Append(" A.MEETINGPALCE");
+                strSQL.Append(" FROM PROCEEDINGSDATA A");
+                strSQL.Append(" LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.CREATORCODE");
+                strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" AND (DATE(A.PROCEEDINGSDATADATE) = STR_TO_DATE('{0}','%Y/%m/%d')", dtSelect.ToShortDateString());
+                if (nTime > 0) strSQL.AppendFormat(" AND A.StartMeetingTime = {0}", nTime);
+                strSQL.Append(")");
+
+                if (!ProDB.ExecuteReader(strSQL.ToString(), ref MainRec)) return false;
                 if (MainRec.Count == 0) return false;
 
                 return true;
@@ -351,7 +357,8 @@
             try
             {
                 DateTime dtSelect = dtMeetingDate.Value;
-                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtSelect);
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtSelect, nTime);
                 strSQL += " ORDER BY SEQNO";
                 List<ProceedingsDataAttend> AttendRec = new List<ProceedingsDataAttend>();
                 ProDB.SelectAction(strSQL, ref AttendRec);
@@ -383,7 +390,8 @@
             try
             {
                 DateTime dtSelect = dtMeetingDate.Value;
-                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtSelect);
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtSelect, nTime);
                 strSQL += " ORDER BY SEQNO";
                 List<ProceedingsDataDetail> DetailRec = new List<ProceedingsDataDetail>();
                 ProDB.SelectAction(strSQL, ref DetailRec);
@@ -525,9 +533,10 @@
             try
             {
                 DateTime dtWork = dtMeetingDate.Value;
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
 
                 ProceedingsData DataRec = new ProceedingsData();
-                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork, nTime);
                 bool bExists = ProDB.SelectAction(strSQL, ref DataRec, false);
 
                 // 工事番号
@@ -588,9 +597,10 @@
             try
             {
                 DateTime dtWork = dtMeetingDate.Value;
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
 
                 // まず削除
-                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork, nTime);
                 ProDB.DeleteAction(strSQL, false);
 
                 int icnt = 0;
@@ -645,9 +655,10 @@
             try
             {
                 DateTime dtWork = dtMeetingDate.Value;
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
 
                 // まず削除
-                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork, nTime);
                 ProDB.DeleteAction(strSQL, false);
 
                 bool bReturn = true;
@@ -822,7 +833,8 @@
             try
             {
                 DateTime dtWork = dtMeetingDate.Value;
-                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork);
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                string strSQL = ProDB.CreatePrimarykeyString(m_ConstructionCode, dtWork, nTime);
 
                 // データが無い場合は削除しない
                 ProceedingsData MainData = new ProceedingsData();
@@ -871,6 +883,35 @@
         }
         #endregion
 
+        #region 削除後クリア処理
+        /// <summary>
+        /// 削除後クリア処理
+        /// </summary>
+        private void RemoveAfter()
+        {
+            try
+            {
+                // 初期表示
+                InitDataLoad();
+
+                // 現在時間セット
+                dtMeetingDate.Value = DateTime.Now;
+                numUD1.Value = DateTime.Now.Hour;
+                numUD2.Value = DateTime.Now.Minute;
+                numUD3.Value = DateTime.Now.Hour;
+                numUD4.Value = DateTime.Now.Minute;
+
+                // データ変更フラグOff
+                m_bChengeAns = false;
+
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 参照モード
         /// <summary>
         /// 参照モードにして各コントロールへロックをかける
@@ -1327,6 +1368,8 @@
                 if (dtWork.Date == DateTime.MaxValue.Date) dtWork = DateTime.Today;
 
                 dtMeetingDate.Value = dtWork;
+                numUD1.Value = dtWork.Hour;
+                numUD2.Value = dtWork.Minute;
 
                 // データ表示
                 InitDataLoad();
@@ -1349,36 +1392,57 @@
             IOProceedingsData ProDB = new IOProceedingsData();
             try
             {
-                string strSQL = string.Empty;
+                int nDateTime = CommonMotions.cnvInt(dtMeetingDate.Value.ToShortDateString().Replace("/", ""));
+                int nTime = (int)((numUD1.Value * 100) + (int)numUD2.Value);
+                StringBuilder strSQL = new StringBuilder();
 
                 switch (ReadPoint)
                 {
                     case (int)ReadData.First:
-                        strSQL = "SELECT MIN(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
-                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append("SELECT A.PROCEEDINGSDATADATE, MIN(A.StartMeetingTime) FROM PROCEEDINGSDATA AS A");
+                        strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append(" AND A.PROCEEDINGSDATADATE IN");
+                        strSQL.Append("               (SELECT MIN(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA");
+                        strSQL.AppendFormat("                                  WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append("                                                ORDER BY StartMeetingTime ASC)");
                         break;
                     case (int)ReadData.Previous:
-                        strSQL = "SELECT MAX(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
-                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                        strSQL += string.Format(" AND DATE(PROCEEDINGSDATADATE) < STR_TO_DATE('{0}','%Y/%m/%d')", dtMeetingDate.Value.ToShortDateString());
+                        strSQL.Append("SELECT PROCEEDINGSDATADATE, StartMeetingTime FROM PROCEEDINGSDATA");
+                        strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append("       AND((CAST(DATE_FORMAT(PROCEEDINGSDATADATE, '%Y%m%d') AS DECIMAL) * 10000) + StartMeetingTime)");
+                        strSQL.AppendFormat(" < {0}{1}", nDateTime, nTime.ToString("0000"));
+                        strSQL.Append(" ORDER BY PROCEEDINGSDATADATE Desc, StartMeetingTime Desc");
                         break;
                     case (int)ReadData.Next:
-                        strSQL = "SELECT MIN(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
-                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                        strSQL += string.Format(" AND DATE(PROCEEDINGSDATADATE) > STR_TO_DATE('{0}','%Y/%m/%d')", dtMeetingDate.Value.ToShortDateString());
+                        strSQL.Append("SELECT PROCEEDINGSDATADATE, StartMeetingTime FROM PROCEEDINGSDATA");
+                        strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append("       AND((CAST(DATE_FORMAT(PROCEEDINGSDATADATE, '%Y%m%d') AS DECIMAL) * 10000) + StartMeetingTime)");
+                        strSQL.AppendFormat(" > {0}{1}", nDateTime, nTime.ToString("0000"));
+                        strSQL.Append(" ORDER BY PROCEEDINGSDATADATE ASC, StartMeetingTime ASC");
                         break;
                     case (int)ReadData.Final:
-                        strSQL = "SELECT MAX(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA";
-                        strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append("SELECT A.PROCEEDINGSDATADATE, MAX(A.StartMeetingTime) FROM PROCEEDINGSDATA AS A");
+                        strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append("               AND A.PROCEEDINGSDATADATE IN");
+                        strSQL.Append("               (SELECT MAX(PROCEEDINGSDATADATE) FROM PROCEEDINGSDATA");
+                        strSQL.AppendFormat(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                        strSQL.Append(" ORDER BY StartMeetingTime DESC)");
                         break;
                 }
                 ArrayList arList = new ArrayList();
-                if (ProDB.ExecuteReader(strSQL, ref arList))
-                {
-                    object[] objRec = (object[])arList[0];
-                    dtRet = CommonMotions.cnvDate(objRec[0]);
-                }
+                if (!ProDB.ExecuteReader(strSQL.ToString(), ref arList)) return dtRet;
+                if (arList.Count < 1) return dtRet;
 
+                object[] objRec = (object[])arList[0];
+                DateTime dtwork = CommonMotions.cnvDate(objRec[0]);
+                int nSetTime = CommonMotions.cnvInt(objRec[1]);
+                dtRet = new DateTime(dtwork.Year
+                                        , dtwork.Month
+                                        , dtwork.Day
+                                        , CommonMotions.cnvTruncate(nSetTime / 100)
+                                        , nSetTime % 100
+                                        , 0);
+
                 return dtRet;
             }
             catch (System.Exception ex)
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.Designer.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryList.Designer.cs	(revision 477)
@@ -410,6 +410,7 @@
             this.dgvAllDisplay.Size = new System.Drawing.Size(1310, 450);
             this.dgvAllDisplay.TabIndex = 2;
             this.dgvAllDisplay.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellClick);
+            this.dgvAllDisplay.CellDoubleClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvAllDisplay_CellClick);
             this.dgvAllDisplay.MouseUp += new System.Windows.Forms.MouseEventHandler(this.dgvAllDisplay_MouseUp);
             // 
             // dataGridViewTextBoxColumn1
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 477)
@@ -99,11 +99,11 @@
         #endregion
 
         #region 工事情報取得処理
-/// <summary>
-/// 工事情報取得
-/// </summary>
-/// <returns></returns>
-private bool GetBaseInfoData()
+        /// <summary>
+        /// 工事情報取得
+        /// </summary>
+        /// <returns></returns>
+        private bool GetBaseInfoData()
         {
             IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
             try
@@ -460,7 +460,7 @@
                 dgv.Rows.Clear();
                 m_OrderFrm.DetailList.Clear();
 
-                ArrayList arList = new ArrayList();
+               ArrayList arList = new ArrayList();
                 // 表示データ取得
                 GetDisplayDataList(ref arList);
 
@@ -681,6 +681,7 @@
             try
             {
                 DataGridViewEX dgv = dgvAllDisplay;
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求確認")).Key;
 
                 // 選択エラーチェック
                 bool bNoCreateData = false;
@@ -687,6 +688,7 @@
                 bool bMakeingData = false;
                 bool bApprovalData = false;
                 bool bUnMatchOrderNO = false;
+                bool bTermCheck = false;
                 int OrderNo = -1;
                 int SelectCnt = 0;
                 string CreateStat = string.Empty;
@@ -698,9 +700,15 @@
 
                     // データ未作成・作成済のチェック
                     CreateStat = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn.PurchaseExists].Value);
-                    if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.NoCreate])) bNoCreateData = true;
-                    else if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.Approvals])) bApprovalData = true;
-                    else bMakeingData = true;
+                    if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.NoCreate])) {
+                        bNoCreateData = true;
+                    }
+                    else if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.Approvals])) {
+                        bApprovalData = true;
+                    }
+                    else {
+                        bMakeingData = true;
+                    }
 
                     // 受付番号の整合性チェック
                     if (OrderNo != CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.OrderNo].Value))
@@ -709,6 +717,13 @@
                         OrderNo = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.OrderNo].Value);
                     }
 
+                    // 請求確認後注文書チェック
+                    if (m_ConstructionBaseInfo.ConstructionStatusFlg == iStatus
+                        && !CreateStat.Equals(DataStatusString[(int)DataStatusNo.Approvals]))
+                    {
+                        bTermCheck = true;
+                    }
+
                     // データカウント取得
                     SelectCnt++;
                 }
@@ -733,6 +748,11 @@
                     MessageBox.Show("注文書：新規作成・閲覧は同時にできません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return false;
                 }
+                if (bTermCheck)
+                {
+                    MessageBox.Show("注文書：請求確認時に新規作成はできません。", "選択エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
 
                 if (SelectCnt < 1)
                 {
@@ -856,7 +876,10 @@
             try
             {
                 DataGridViewEX dgv = dgvAllDisplay;
-                
+
+                // 請求確認以降のチェック
+                if (!CheckBoxEdit()) return;
+
                 // 未作成時は一斉チェックしない
                 if (CommonMotions.cnvString(dgv.Rows[CurRowCnt].Cells[(int)GridColumn.RequestCount].Value).Length == 0)
                     return;
@@ -916,5 +939,43 @@
             }
         }
         #endregion
+
+        #region チェックボックスのチェック可能判定
+        /// <summary>
+        /// チェックボックスのチェック可能判定
+        /// </summary>
+        /// <returns></returns>
+        private bool CheckBoxEdit()
+        {
+            try
+            {
+                DataGridViewEX dgv = dgvAllDisplay;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+
+                // 工事状況が請求確認より前はチェックしない
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求確認")).Key;
+                if (m_ConstructionBaseInfo.ConstructionStatusFlg < iStatus) return true;
+
+                // 作成済みのみtrue
+                string CreateStat = CommonMotions.cnvString(CurRow.Cells[(int)GridColumn.PurchaseExists].Value);
+                if (CreateStat.Equals(DataStatusString[(int)DataStatusNo.Approvals])) return true;
+
+                // 作成済み以外はチェックさせない
+                ((DataGridViewCheckBoxCell)CurRow.Cells[(int)GridColumn.SelectExec]).Value = false;
+
+                MessageBox.Show("請求確認時に新規作成はできません。"
+                                , "選択エラー"
+                                , MessageBoxButtons.OK
+                                , MessageBoxIcon.Error);
+
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 477)
@@ -2189,7 +2189,7 @@
                         strSQL.Append(LDetailDB.CreatePrimarykeyString(TargetCode));
                         strSQL.AppendFormat(" AND SOURCECODE = {0}", m_ConstructionCode);
                         strSQL.AppendFormat(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
-                        strSQL.AppendFormat(" AND COMPANYCODE = {0}", DataTab.OrderCompanyCode);
+                        //strSQL.AppendFormat(" AND COMPANYCODE = {0}", DataTab.OrderCompanyCode);
                         strSQL.AppendFormat(" AND DetailCount = {0}", LedgerLine);
                         if (!LDetailDB.UpdateFeild(strSQL.ToString()
                                                     , (int)IOConstructionLedgerDetail.TableColumn.PurchaseOrderFlg
